{% extends 'base.html' %}
{% load static %}


{% block content %}
    
    <div class="grid-item">
        <form method="post" action="http://localhost:8000/game/actions/inventory/back">
            {% csrf_token %}
            <input type="hidden" name="back" value="map">
            <button type="submit">back</button>
        </form>
    </div>

    <h2>Gold: {{player.inventory.gold}}</h2>
    <h1>Inventory</h1>
    <table class="inventory-table">
        <thead>
            <tr>
                <th>Name</th><th>#</th><th>Action1</th><th>Action2</th>
            </tr>
        </thead>
        <tbody>
    {% for item in items%}
        <tr>
            {% if item.is_equiped %}
                <td>{{item.data.name}} (equiped)</td><td>{{item.quantity}}</td>
            {% else %}
                <td>{{item.data.name}}</td><td>{{item.quantity}}</td>
            {% endif %}
            <td>
                <div class="grid-item">
                    <form method="post" action="http://localhost:8000/game/actions/inventory/drop">
                        {% csrf_token %}
                        <input type="hidden" name="drop" value="{{item.id}}">
                        <button type="submit">Drop</button>
                    </form>
                </div>
            </td>
            <td>
                {% if  not item.data.action == None %}
                
                <div class="grid-item">
                    <form method="post" action="http://localhost:8000/game/actions/inventory/action">
                        {% csrf_token %}
                        <input type="hidden" name="action" value="{{item.id}}">
                        {% if item.data.action == "equip" and item.is_equiped%}
                            <button type="submit">unequip</button>
                        {% else %}
                            <button type="submit">{{item.data.action}}</button>
                        {% endif %}
                    </form>
                </div>
                {% endif %}
            </td>
            
        </tr>
    {% endfor %}
        </tbody> 
    </table>

    <h1>Equipment</h1>
    <h2>Weapons</h2>
    <table>
        <thead>
            <tr>
                <th>Slot</th><th>Name</th>
            </tr>
        </thead>
        <tbody>
            <tr>
                <td>Mainhand</td><td>{{player.main.data.name}}</td>
            </tr>
            <tr>
                <td>Offhand</td><td>{{player.offhand.data.name}}</td>
            </tr>
        </tbody>
    </table>
    <h2>Armor</h2>
    <table>
        <thead>
            <tr>
                <th></th><th></th>
            </tr>
        </thead>
        <tbody>
            <tr>
                <td>Head</td><td>{{player.armor.head.data.name}}</td>
            </tr>
            <tr>
                <td>Torso</td><td>{{player.armor.torso.data.name}}</td>
            </tr>
            <tr>
                <td>Hands</td><td>{{player.armor.hands.data.name}}</td>
            </tr>
            <tr>
                <td>Legs</td><td>{{player.armor.legs.data.name}}</td>
            </tr>
            <tr>
                <td>Feet</td><td>{{player.armor.feet.data.name}}</td>
            </tr>
        </tbody>
    </table>
{% endblock content %}